## biomaj3-core 3.0.19

=== requirements.txt ===
nose
mock
future
elasticsearch
requests

## biomaj3-core 3.0.11

=== debian/changelog ===
biomaj3-core (3.0.11-2) unstable; urgency=medium

  * Add missing build-dep  (Closes: #890123).

 -- Olivier Sallou <osallou@debian.org>  Sun, 11 Feb 2018 11:49:53 +0000

biomaj3-core (3.0.11-1) unstable; urgency=medium

  * New upstream release
    d/control: switch to standards 4.1.3 

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:10:37 +0000

biomaj3-core (3.0.9-1) unstable; urgency=low

  * First packaging of biomaj-core (Closes: #872409).

 -- Olivier Sallou <osallou@debian.org>  Mon, 07 Aug 2017 09:37:05 +0000

=== debian/control ===
Source: biomaj3-core
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-elasticsearch,
               python3-future,
               python3-mock,
               python3-nose,
               python3-requests,
               python3-setuptools,
Standards-Version: 4.1.3
Homepage: https://github.com/genouest/biomaj-core
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-core.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-core.git

Package: python3-biomaj3-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: biomaj-core
Description: BioMAJ core library - Python 3.X
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package containers the core library for BioMAJ

## biomaj3-core 3.0.15

=== debian/changelog ===
biomaj3-core (3.0.15-1) unstable; urgency=medium

  * New upstream release (bug fixes) 

 -- Olivier Sallou <osallou@debian.org>  Tue, 19 Feb 2019 15:28:26 +0000

biomaj3-core (3.0.14-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python3-requests
    Closes: #912176
  * debhelper 11
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 07:09:28 +0100

biomaj3-core (3.0.14-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Olivier Sallou ]
  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Oct 2018 09:13:09 +0000

## biomaj3-core 3.0.16

=== debian/changelog ===
biomaj3-core (3.0.16-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 07:56:51 +0000

## biomaj3-core 3.0.19

=== debian/changelog ===
biomaj3-core (3.0.19-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Wed, 16 Oct 2019 13:14:38 +0000

=== debian/control ===
Source: biomaj3-core
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-elasticsearch,
               python3-future,
               python3-mock,
               python3-nose,
               python3-requests,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-core
Vcs-Git: https://salsa.debian.org/med-team/biomaj3-core.git
Homepage: https://github.com/genouest/biomaj-core

Package: python3-biomaj3-core
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: BioMAJ core library - Python 3.X
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package containers the core library for BioMAJ
XB-Python-Egg-Name: biomaj-core

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-core-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj-core/tags .*/v?(\d\S+)\.tar\.gz

## biomaj3-core 3.0.26

=== requirements.txt ===
nose
mock
future
elasticsearch==5.5.3
requests

=== debian/changelog ===
biomaj3-core (3.0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:28:57 +0100

biomaj3-core (3.0.19-2) unstable; urgency=medium

  * Team Upload.
  * Add and Fix autopkgtests (Closes: #961902)
  * Add upstream/metadata
  * Fix with cme

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 01 Jun 2020 22:09:31 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-elasticsearch,
@@ -13,10 +12,11 @@
                python3-nose,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-core
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-core.git
 Homepage: https://github.com/genouest/biomaj-core
+Rules-Requires-Root: no
 
 Package: python3-biomaj3-core
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=biomaj-core
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import biomaj_core; print(biomaj_core)" ; done
Depends: @, python3-all
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, python3-nose, python3-all
Restrictions: allow-stderr

## biomaj3-core 3.0.27

=== debian/changelog ===
biomaj3-core (3.0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 11:55:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-nose,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-core
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-core.git
 Homepage: https://github.com/genouest/biomaj-core

## biomaj3-core 3.0.28

=== requirements.txt ===
pytest
mock
elasticsearch==5.5.3
requests

=== debian/changelog ===
biomaj3-core (3.0.28-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-future from Build-Depends
    Closes: #1059949:
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: Drop XB-Python-Egg-Name

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 08:16:44 +0100

biomaj3-core (3.0.28-1) unstable; urgency=medium

  * New upstream version
  * Use pytest instead of nose (Closes: #1018318)

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Aug 2022 07:59:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-elasticsearch,
-               python3-future,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-core
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-core.git
 Homepage: https://github.com/genouest/biomaj-core
@@ -34,4 +33,3 @@
  BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
  .
  This package containers the core library for BioMAJ
-XB-Python-Egg-Name: biomaj-core

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=biomaj-core
%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,6 @@
 Restrictions: allow-stderr
 
 Tests: run-unit-test
-Depends: @, python3-nose, python3-all
+Depends: @, python3-pytest, python3-all
 Restrictions: allow-stderr
